<?php

namespace Lc\SovBundle\Doctrine\Extension;

use Lc\SovBundle\Model\File\FileInterface;

interface OpenGraphInterface
{
    public function getOpenGraphTitle(): ?string;

    public function setOpenGraphTitle(string $openGraphTitle): OpenGraphInterface;

    public function getOpenGraphDescription(): ?string;

    public function setOpenGraphDescription(?string $openGraphDescription): OpenGraphInterface;

    public function getOpenGraphImage(): ?FileInterface;

    public function setOpenGraphImage(?FileInterface $openGraphImage);
}
